﻿@import url('https://fonts.googleapis.com/css2?family=Noto+Sans&display=swap');
* {
    font-family: 'Noto Sans', sans-serif;
}

input[type=text],
input[type=password] {
    outline: none;
    border: 2px solid transparent;
    transition: 0.2s all linear;
    font-size: 1rem;
    height: 30px;
    border-radius: 3px;
    background-color: rgb(100, 100, 100);
    color: white;
}

    input[type=text]::placeholder,
    input[type=password]::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
        color: rgb(170, 170, 170);
    }

input[type=submit],
button {
    outline: none;
    border: none;
    font-size: 20px;
    padding: 4px 12px 4px 12px;
    border-radius: 8px;
    background-color: #337185;
    color: white;
}

input[type=submit]:hover,
button:hover{
    cursor: pointer;
    opacity: 0.7;
}

volume-slider{
    display: flex;
    align-items: center;

}

volume-slider > span{
    color: white;
    user-select: none;
}

volume-slider input[type=range] {
    -webkit-appearance: none;
    width: 100%;
    margin-left: 5px;
}
volume-slider input[type=range]:focus {
    outline: none;
}
volume-slider input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 3px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: 0px 0px 0px #000000;
    background: #FFFFFF;
    border-radius: 0px;
    border: 0px solid #000000;
}
volume-slider input[type=range]::-webkit-slider-thumb {
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #000000;
    height: 18px;
    width: 4px;
    border-radius: 0px;
    background: #FF9900;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -6px;
}
volume-slider input[type=range]:focus::-webkit-slider-runnable-track {
    background: #FFFFFF;
}
volume-slider input[type=range]::-moz-range-track {
    width: 100%;
    height: 5px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: 0px 0px 0px #000000;
    background: #FFFFFF;
    border-radius: 0px;
    border: 0px solid #000000;
}
volume-slider input[type=range]::-moz-range-thumb {
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #000000;
    height: 24px;
    width: 7px;
    border-radius: 0px;
    background: #FF9900;
    cursor: pointer;
}
volume-slider input[type=range]::-ms-track {
    width: 100%;
    height: 5px;
    cursor: pointer;
    animate: 0.2s;
    background: transparent;
    border-color: transparent;
    color: transparent;
}
volume-slider input[type=range]::-ms-fill-lower {
    background: #FFFFFF;
    border: 0px solid #000000;
    border-radius: 0px;
    box-shadow: 0px 0px 0px #000000;
}
volume-slider input[type=range]::-ms-fill-upper {
    background: #FFFFFF;
    border: 0px solid #000000;
    border-radius: 0px;
    box-shadow: 0px 0px 0px #000000;
}
volume-slider input[type=range]::-ms-thumb {
    margin-top: 1px;
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #000000;
    height: 24px;
    width: 7px;
    border-radius: 0px;
    background: #FF9900;
    cursor: pointer;
}
volume-slider input[type=range]:focus::-ms-fill-lower {
    background: #FFFFFF;
}
volume-slider input[type=range]:focus::-ms-fill-upper {
    background: #FFFFFF;
}
body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

body {
    
    
    display: flex;
    flex-direction: column;
}

body > header {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    background-color: rgb(23, 23, 23);
    gap: 1vmax;
    height: 60px;
}

body > header > h1 {font-size: 1.5rem;}

body > header > h1 {
    color: white;
}

body > header > div {
    display: flex;
    flex-direction: row;
    column-gap: 0.8vw;
}

body > header > p {
    margin-left: auto;
    margin-right: 2vw;
    color: #F90;
    font-size: 22px;
}

body > header > div > a {
    text-decoration: none;
    font-size: 1.35rem;
    color: white;
}

body > header > div > a:hover {
    opacity: 0.7;
    cursor: pointer;
    position: relative;
}

body > header > div > a.selected {
    color: #F90;
}

#content {
    height: calc(100vh - 60px);
    width: 100%;
    background-color: #46494C;
    position: relative;
}

label {
    color: white;
}

#hamburger-menu{
    position: absolute;
    height: 100%;
    top: 0;
    right: 100%;
    width: 300px;
    background-color: rgb(32, 32, 32);
    transition: all 0.2s linear;
    gap: 10px;
    z-index: 999999999999999;
}

#hamburger-menu > a:first-of-type{
    margin-top: 10px;
}

#hamburger-menu > a{
    color: white;
    text-decoration: none;
    font-size: 1.5rem;
    margin-left: 30px;
}

#hamburger-menu > a:hover{
    opacity: 0.7;
}

#hamburger-menu > a.selected{
    color: #f90 !important;
}

#hamburger-button{
    margin-left: 1rem;
    user-select: none;
}

#hamburger-admin-info{
    margin-top: auto;
    margin-bottom: 20px;
    color: white;
    padding-left: 10px;
    padding-right: 10px;
    font-size: 1rem;
    
}

#hamburger-admin-info > a{
    color: red;
}

#hamburger-admin-info > span > span{color: #f90;}

*::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

*::-webkit-scrollbar
{
    width: 6px;
    background-color: #F5F5F5;
}

*::-webkit-scrollbar-thumb
{
    background-color: #000000;
}
